Bug 1015652 - When domain has all gear sizes disabled, submit button is still enabled
When domain has all gear sizes disabled, submit button is still enabled
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jordan Liggitt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 14:04 EDT by Clayton Coleman
Modified: 2015-05-14 21:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 08:34:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2013-10-04 14:04:56 EDT
The jquery form validator on the app create form (application_types/show) does not disable the submit button when the form is invalid - so the user can hit the submit button but nothing happens.  It should be be disabled when the form is invalid.

Repro:
1) Create a domain as test1 and share it with user test2
2) Disable all gear sizes in test1
3) As test2, go to the create app page.  Error messages are displayed, but the submit button is clickable

Expected:
The submit button to be disabled when the form is in error.
Comment 1 Jordan Liggitt 2013-11-20 08:34:31 EST
Validation also triggers on submit, so we want to leave it enabled in case the user makes a change that would make the form validate correctly.

Note You need to log in before you can comment on or make changes to this bug.